### Signal

# Gdk.Surface::enter-monitor

#### Declaration

    void
    enter_monitor (
      GdkSurface self,
      GdkMonitor* monitor,
      gpointer user_data
    )

#### Description [src]

Emitted when `surface` starts being present on the monitor.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`

#### Parameters

`monitor` | `GdkMonitor`
| the monitor
| Ownership is not transferred to the callee